<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta charset="UTF-8">
    <title>My Profile</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <style>


        body {
            background-color: #555;
        }

        .navbar-fixed {
            position: absolute;
            z-index: 999999999;
        }


        .col .row {
            margin-left: 5rem;
            margin-right: 5rem;
        }

        .background {

            position: absolute;
            width: 100%;
            height: 100%;
            background-image: url("https://abali.ru/_d/2013/05/siniy_goluboj_fon_1920x1080.jpg");
        }

        .foreground {
            backdrop-filter: blur(10px);
            margin-left: 10rem;
            margin-right: 10rem;
            margin-top: 5rem;
        }

        aside {
            position: relative;
            padding: 1.5rem;
            font-size: 1.125rem;
            font-weight: 600;
            max-width: 100%;
            border-top: 4px solid;
            border-left: 4px solid;
            border-bottom: 4px solid;
            border-image-slice: 1;
            border-image-source: linear-gradient(90deg, #14b1ab, transparent);
        }

        ::placeholder {
            color: black;

        }

        table, td, th {
            border: 1px solid black;
        }

        table {
            margin-left: auto;
            margin-right: auto;
            margin-top: 35px;
            border-collapse: collapse;
            width: 100%;
        }

        th {
            height: 50px;
        }


        .modal {
            width: 100%;
            height: 100%;
            z-index: 999; /* Sit on top */
        }


        #close {
            position: absolute;
            top: 15px;
            right: 35px;
            color: #f1f1f1;
            font-size: 40px;
            font-weight: bold;
            transition: 0.3s;
        }

        #close:hover,
        #close:focus {
            color: #bbb;
            text-decoration: none;
            cursor: pointer;
        }

        .block_container {
            display: flex;
            justify-content: center;
        }

        .brand-logo {
            position: absolute;
            left: 0px;
            top: -100%;
        }

    </style>
</head>


<body>

<div class="wrapper">

    <div class="background">

        <div class="navbar-fixed">
            <nav class="transparent z-depth-0">
                <div class="nav-wrapper">
                    <!--                    <a href="#!" class="brand-logo"><img src="logo/logo.png" ></a>-->
                    <a href="#" data-target="mobile-demo" class="sidenav-trigger"><i class="material-icons">menu</i></a>
                    <ul class="right hide-on-med-and-down">
                        <li><a th:href="@{/}" href="index.html">Home</a></li>
                        <li><a th:href="@{/forms}" href="formPage.html">Forms and Offers</a></li>
                        <li sec:authorize="isAuthenticated()"><a th:href="@{/my-profile}" href="my-profile.html">My
                            Profile</a></li>

                        <li sec:authorize="hasRole('ROLE_ADMIN')">
                            <form th:action="@{/administrator}" method="get">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Admin">Admin
                                    Portal
                                </button>
                            </form>
                        </li>

                        <li sec:authorize="isAuthenticated()">
                            <form th:action="@{/logout}" method="post">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Logout">Logout!
                                </button>
                            </form>
                        </li>

                        <button class="btn waves-effect waves-light col s4" sec:authorize="!isAuthenticated()"
                                onclick="window.location='/login'" value="Login">Login!
                        </button>

                    </ul>
                </div>
            </nav>
        </div>


        <div class="foreground">


            <aside>

                <div class="admin-tab box glowing">
                    <div class="row">
                        <div class="block_container col s12">
                            <div class="col s1"></div>
                            <div class="input-field col s3">
                                <label>Search by email</label>
                            </div>
                            <div class="input-field col s3">
                                <label>From Date/Hour</label>
                            </div>

                            <div class="input-field col s3">
                                <label>To Date/Hour</label>
                            </div>

                            <div class="input-field col s2">
                                <label>Request Status</label>
                            </div>
                            <div class="col s1"></div>

                        </div>
                    </div>

                    <form th:action="@{/administrator}" th:object="${searchPolicyDto}" method="post">
                        <div class="row">
                            <div class="block_container col s12">
                                <div class="input-field col s3">
                                    <i class="material-icons prefix">account_circle</i>
                                    <input th:field="*{username}" placeholder="Email" id="icon_prefix" type="text"
                                           class="validate">

                                </div>
                                <div class="input-field col s3">
                                    <input type="datetime-local" placeholder="First Registration Date"
                                           th:field="*{fromDate}">
                                </div>
                                <div class="input-field col s3">
                                    <input type="datetime-local" placeholder="First Registration Date"
                                           th:field="*{toDate}">
                                </div>

                                <div class="input-field col s2">
                                    <select th:field="*{status}" class="browser-default">
                                        <option value="" selected>Choose status</option>
                                        <option th:value="CANCELED" th:text="Canceled"></option>
                                        <option th:value="PENDING" th:text="Pending"></option>
                                        <option th:value="APPROVED" th:text="Approved"></option>
                                        <option th:value="REJECTED" th:text="Rejected"></option>
                                    </select>
                                </div>

                                <button style="margin-top: 20px" class="btn waves-effect waves-light col s1"
                                        type="submit" name="action">
                                    Search!
                                    <i class="material-icons right">send</i>
                                </button>
                            </div>
                        </div>

                    </form>

                    <table class="policy-table">
                        <thead>
                        <tr>
                            <th>Policy Id</th>
                            <th>Start Date</th>
                            <th>Status</th>
                            <th>Registration Certificate</th>
                            <th>Details</th>
                            <th>Approve</th>
                            <th>Reject</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="policy : ${allPolicies}">
                            <th th:text="${policy.id}"></th>
                            <th th:text="${policy.startDate}"></th>
                            <th th:text="${policy.status}"></th>
                            <th><img th:onclick="'openModal('+${policy.id}+')'"
                                     class="myImg" th:id="'myImg-'+${policy.id}"
                                     th:src="'data:image/jpeg;base64,' + ${imgUtil.getImgData(policy.picture)}"
                                     style="max-width: 300px; max-height: 150px"/>
                            </th>


                            <div th:id="'myModal-' + ${policy.id}" class="modal">
                                <span id="close" th:class="'close-'+${policy.id}">&times;</span>
                                <img class="modal-content" th:id="'img-' + ${policy.id}"
                                     th:src="'data:image/jpeg;base64,' + ${imgUtil.getImgData(policy.picture)}"
                                     alt="picture"/>
                                <div id="caption" th:id="'caption' + ${policy.id}"></div>
                            </div>
                            <th>
                                <a class="waves-effect waves-light btn modal-trigger" href="#modal1"
                                   th:attrappend="href=${policy.id}">Details</a>


                                <div id="modal1" class="modal modal-fixed-footer" th:attrappend="id=${policy.id}">
                                    <div style="color:black" class="modal-content">
                                        <label>First Name:</label>
                                        <p th:text="${policy.getOwner().firstName}"></p>
                                        <label>Last Name:</label>
                                        <p th:text="${policy.getOwner().lastName}"></p>
                                        <label>Phone Number:</label>
                                        <p th:text="${policy.getOwner().phone}"></p>
                                        <label>Address:</label>
                                        <p th:text="${policy.getOwner().address}"></p>
                                        <label>City:</label>
                                        <p th:text="${policy.getOwner().getCity().name}"></p>
                                        <label>Your Age:</label>
                                        <p th:text="${policy.getSimulationForm().driverAge}"></p>
                                        <label>Car Cubic Capacity:</label>
                                        <p th:text="${policy.getSimulationForm().cubicCapacity}"></p>
                                        <label>First Registration Date:</label>
                                        <p th:text="${policy.getSimulationForm().firstRegistrationDate}"></p>
                                        <label>Car Model</label>
                                        <p th:text="${policy.getSimulationForm().getModel().getMake().title} + ' '+ ${policy.getSimulationForm().getModel().title}"></p>
                                        <label>Accidents:</label>
                                        <p th:text="${policy.getSimulationForm().accidents}"></p>
                                        <label>Total Price:</label>
                                        <p th:text="${policy.getSimulationForm().totalPrice}+' BGN'"></p>


                                    </div>
                                    <div class="modal-footer">
                                        <a href="#!" class="modal-close waves-effect waves-green btn-flat">Agree</a>
                                    </div>
                                </div>
                            </th>

                            <form action="#" th:action="@{/administrator/approve/{id}(id=${policy.id})}" method="post">
                                <th>
                                    <button class="btn waves-effect waves-light" type="submit" name="action">Approve
                                    </button>
                                </th>
                            </form>
                            <form action="#" th:action="@{/administrator/reject/{id}(id=${policy.id})}" method="post">
                                <th>
                                    <button class="btn waves-effect waves-light" type="submit" name="action">Reject
                                    </button>
                                </th>
                            </form>


                        </tbody>
                    </table>
                </div>
            </aside>
        </div>
    </div>
</div>


<script>
    function openModal(id) {
        var modal = document.getElementById("myModal-" + id);
        var img = document.getElementById("myImg-" + id);
        var modalImg = document.getElementById("myImg" + id);
        var captionText = document.getElementById("caption" + id);
        modal.style.display = "block";
        var span = document.getElementsByClassName("close-" + id)[0];
        span.onclick = function () {
            modal.style.display = "none";
        }
    }

    (function ($) {
        $(function () {
            $('.modal').modal();
        });
    })(jQuery);
</script>

</body>
</html>